//---------------------------------------------------------------------------

#ifndef example_dllH
#define example_dllH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>

#include "supp\tedia_daq01h_s.h"
#include "supp\tedia_daq01h_c.h"

#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <Grids.hpp>  //Hlavickovy soubor knihovny

#include <algorithm>
#include <stdlib.h>
#include <stdio.h>
#include <math.h>

using namespace std;


struct TChannel
{
  int mux;   //pozadovane data
  int gain;  //zesileni v pripade ze mux signalizuje analogovy kanal
};

//---------------------------------------------------------------------------
class TExample : public TForm
{
__published:	// IDE-managed Components
  TGroupBox *GroupBox1;
  TEdit *param0;
  TEdit *param1;
  TLabel *Label1;
  TLabel *Label2;
  TBitBtn *Add;
  TPanel *Panel1;
  TButton *Clear;
  TListBox *ItemsOfChannels;
  TLabel *Label3;
  TGroupBox *BufferBox;
  TEdit *Vfrequency;
  TLabel *Label4;
  TButton *BufferAcquisition;
  TGroupBox *SingleBox;
  TButton *OneAcquisition;
  TGroupBox *GroupBox4;
  TStringGrid *StringGrid1;
  TLabel *Label5;
  TButton *StopAcquisition;
  TButton *ConfigSingleAcquisition;
  TButton *StopSingleAcquisition;
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
  void __fastcall ClearClick(TObject *Sender);
  void __fastcall AddClick(TObject *Sender);
  void __fastcall BufferAcquisitionClick(TObject *Sender);
  void __fastcall StopAcquisitionClick(TObject *Sender);
  void __fastcall ConfigSingleAcquisitionClick(TObject *Sender);
  void __fastcall StopSingleAcquisitionClick(TObject *Sender);
  void __fastcall OneAcquisitionClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
  DWORD PHandleKarty;
  DWORD __fastcall M_stop_measuring();  
  __fastcall TExample(TComponent* Owner);
  TChannel channels[1023];  //pole kanalu
  int Cchannels;            //pocet kanalu
  int is_running;
  void resolve_error(DWORD n_error);
  int active_column;
};
//---------------------------------------------------------------------------
extern PACKAGE TExample *Example;
//---------------------------------------------------------------------------
#endif

