//---------------------------------------------------------------------------

#ifndef example_dllH
#define example_dllH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>

#include "supp\tedia_daq01h_d.h"  //Hlavickovy soubor knihovny
#include "supp\tedia_daq01_c.h"
#include <ExtCtrls.hpp>
#include <Graphics.hpp>  //Hlavickovy soubor s konstantami

#include <algorithm>
#include <stdlib.h>
#include <stdio.h>

#define BEGIN_STATE  0

//Probh cyklick generovn dat
#define CONFIGURED_CYCLING_STATE  1

//Probh cyklick generovn dat
#define CYCLING_STATE  2

//Probh kontinuln generovn dat
#define CONTINAL_GENERATE_STATE  4

//Probh kontinuln men dat
#define CONTINAL_MEASURE_STATE   8

//Probh kontinuln men+generovn dat
#define CONTINAL_GENERATE_MEASURE_STATE   12


//---------------------------------------------------------------------------
class TExample : public TForm
{
__published:	// IDE-managed Components
  TGroupBox *GroupBox5;
  TButton *StartCircleGenerate;
  TButton *StopCircleGenerate;
  TGroupBox *GroupBox1;
  TGroupBox *GroupBox2;
  TCheckBox *ChMeasure_wanted;
  TCheckBox *ChGenerate_wanted;
  TButton *GenerateMeasureContinual;
  TButton *StopContinual;
  TImage *Image1;
  TImage *Image2;
  TButton *ConfigureCircleGenerate;
  TEdit *ChannelOutput;
  TLabel *Label1;
  TTimer *TimerGenerateData;
  TTimer *OutputScanTimer;
  TTimer *InputScanTimer;
  TLabel *Label2;
  TEdit *OutputBufferText;
  TEdit *InputBufferText;
  TLabel *Label3;
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
  void __fastcall StartCircleGenerateClick(TObject *Sender);
  void __fastcall GenerateMeasureContinualClick(TObject *Sender);
  void __fastcall StopCircleGenerateClick(TObject *Sender);
  void __fastcall ConfigureCircleGenerateClick(TObject *Sender);
  void __fastcall StopContinualClick(TObject *Sender);
  void __fastcall FormActivate(TObject *Sender);
  void __fastcall TimerGenerateDataTimer(TObject *Sender);
  void __fastcall OutputScanTimerTimer(TObject *Sender);
  void __fastcall InputScanTimerTimer(TObject *Sender);
private:	// User declarations

  int self_state; //Stav ve kterm se program nachz

public:		// User declarations
  DWORD PHandleKarty;
  void resolve_error(DWORD n_error);
  bool m_bTerminate;

  DWORD* buffer;    //Buffer, ze kterho jsou odeslna data
  int count_sended; // Poet odeslanch dat z bufferu

  bool Fmeasure;    //Poadovno men
  bool Fgenerate;   //Poadovno generovn  (naplnno hodnotami vizulnch prvk)

  void change_state(int new_self_state);
  void pulse_data();
  __fastcall TExample(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TExample *Example;
//---------------------------------------------------------------------------
#endif

