Option Strict Off
Option Explicit On
Friend Class example_counter
	Inherits System.Windows.Forms.Form
	Dim Ihandle As Integer 'Handle otevrene karty
	Dim Fis_open As Boolean 'Priznak: karta je otevrena
	
	
	' Prijme chybovy kod a zobrazi chybu, nenastala-li chyba vraci true
	Public Function ResolveError(ByRef result_ As Short) As Boolean
		Dim function_ As String
		Dim error_ As String
		
		function_ = "                            "
		error_ = "                                                                                  "
		
		ResolveError = True
		If result_ <> 0 Then
			result_ = Td_Get_ErrorMessage(result_, function_, error_)
			'UPGRADE_WARNING: MsgBox Parameter 'context' is not supported, and was removed. Click for more: 'ms-help://MS.VSExpressCC.v80/dv_commoner/local/redirect.htm?keyword="54413EB8-EB35-481C-89BE-32525CFC7903"'
			'UPGRADE_WARNING: MsgBox Parameter 'helpfile' is not supported, and was removed. Click for more: 'ms-help://MS.VSExpressCC.v80/dv_commoner/local/redirect.htm?keyword="54413EB8-EB35-481C-89BE-32525CFC7903"'
			result_ = MsgBox(function_, 0, error_)
			ResolveError = False
		End If
	End Function
	
	Public Sub ClearCounter(ByRef counter As Short)
		Dim value As Integer
		value = 0
		
		If (ResolveError(Td_Set_Counter(Ihandle, counter, value, 1))) Then
			ResolveError(Td_Save_Counter(Ihandle))
		End If
	End Sub
	
	
	Private Sub ExecuteTimer_Tick(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles ExecuteTimer.Tick
        Dim value As Integer
		If (ResolveError(Td_Load_Counter(Ihandle, 0))) Then
			If (ResolveError(Td_Get_Counter(Ihandle, 0, value, 1, 0))) Then
				Text1.Text = CStr(value)
			End If
			
			If (ResolveError(Td_Get_Counter(Ihandle, 1, value, 1, 0))) Then
				Text2.Text = CStr(value)
			End If
			
			If (ResolveError(Td_Get_Counter(Ihandle, 2, value, 1, 0))) Then
				Text3.Text = CStr(value)
			End If
		End If
	End Sub
	
	Private Sub example_counter_Load(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles MyBase.Load
		Dim I As Integer
		Dim result_ As Integer
		Dim n_param As Double
		Dim t_param As Integer
		
		Dim device_type As String
		Dim need_type As String
		device_type = "                            "
		
		'Zavolani funkce Td_Get_CardList a zjisteni karet aktivnich v regisrech
		result_ = Td_Init_Driver(Ihandle, "EXAM_COUNTER")
		If result_ <> 0 Then
			'UPGRADE_WARNING: MsgBox Parameter 'context' is not supported, and was removed. Click for more: 'ms-help://MS.VSExpressCC.v80/dv_commoner/local/redirect.htm?keyword="54413EB8-EB35-481C-89BE-32525CFC7903"'
			'UPGRADE_WARNING: MsgBox Parameter 'helpfile' is not supported, and was removed. Click for more: 'ms-help://MS.VSExpressCC.v80/dv_commoner/local/redirect.htm?keyword="54413EB8-EB35-481C-89BE-32525CFC7903"'
			result_ = MsgBox("Nenalezena pouiteln zazen pro tento pklad, pojmenujte kartu EXAM_COUNTER!", 0, "")
			End
		End If
		
		Fis_open = True
		
		'If (Not (ResolveError(Td_Get_Info_DeviceName("EXAM_COUNTER", INFO_NAME_type_name, n_param, device_type, t_param)))) Then    ' Rozsah citace
		'  GoTo end_line
		'End If
		
		
		'Nastaveni parametru zarizeni
		'-----------------------------------------------------------------------------
		
		For I = 0 To 2
			If (Not (ResolveError(Td_Set_Counter_Parameters(Ihandle, I, SET_CNT_CWReg, 5)))) Then ' Rezim citani
				GoTo end_line
			End If
			
			If (Not (ResolveError(Td_Set_Counter_Parameters(Ihandle, I, SET_CNT_range, 10000)))) Then ' Rozsah citace
				GoTo end_line
			End If
			
			If (Not (ResolveError(Td_Save_Counter_Parameters(Ihandle)))) Then ' Ulozeni parametru
				GoTo end_line
			End If
			
			If (Not (ResolveError(Td_Start_Counter(Ihandle, I)))) Then ' Odstartovani citani
				GoTo end_line
			End If
			
			If (Not (ResolveError(Td_Save_StartStop_Counter(Ihandle)))) Then
				GoTo end_line
			End If
			
			ClearCounter((I)) ' Vynulovani citace
		Next I
		
		ExecuteTimer.Enabled = True
		
end_line: 
	End Sub
	
	
	Private Sub example_counter_FormClosing(ByVal eventSender As System.Object, ByVal eventArgs As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		Dim Cancel As Boolean = eventArgs.Cancel
		Dim UnloadMode As System.Windows.Forms.CloseReason = eventArgs.CloseReason
		Dim result_ As Integer
		ExecuteTimer.Enabled = False
		If Fis_open Then 'Ukoncuji formular =>zavru spojeni
			result_ = Td_Close_Driver(Ihandle)
			If result_ <> 0 Then
				'UPGRADE_WARNING: MsgBox Parameter 'context' is not supported, and was removed. Click for more: 'ms-help://MS.VSExpressCC.v80/dv_commoner/local/redirect.htm?keyword="54413EB8-EB35-481C-89BE-32525CFC7903"'
				'UPGRADE_WARNING: MsgBox Parameter 'helpfile' is not supported, and was removed. Click for more: 'ms-help://MS.VSExpressCC.v80/dv_commoner/local/redirect.htm?keyword="54413EB8-EB35-481C-89BE-32525CFC7903"'
				result_ = MsgBox("Nepodarilo se ukoncit spojeni s kartou!", 0, "")
			End If
			Fis_open = False
		End If
		eventArgs.Cancel = Cancel
	End Sub
	
	Private Sub ZeroCNT0_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles ZeroCNT0.Click
		ClearCounter((0)) ' Vynulovani citace
	End Sub
	
	Private Sub ZeroCNT1_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles ZeroCNT1.Click
		ClearCounter((1)) ' Vynulovani citace
	End Sub
	
	Private Sub ZeroCNT2_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles ZeroCNT2.Click
		ClearCounter((2)) ' Vynulovani citace
	End Sub
End Class